io.vertx.rxjava3.ext.stomp

## Class Frames

- java.lang.Object
- - io.vertx.rxjava3.ext.stomp.Frames

-     public class Frames
      extends Object

  Utility methods to build common `Frame`s. It defines a non-STOMP frame (`PING`) that is used for heartbeats. When such frame is written on the wire it is just the `0` byte.

  This class is thread-safe.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Frames>` | `__TYPE_ARG`
    `static Frame` | `PING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Frames(Frames delegate)`
    `Frames(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Frame` | `createErrorFrame(String message, Map<String,String> headers, String body)`
    `static Frame` | `createReceiptFrame(String receiptId, Map<String,String> headers)`
    `boolean` | `equals(Object o)`
    `Frames` | `getDelegate()`
    `static void` | `handleReceipt(Frame frame, StompServerConnection connection)`
    `int` | `hashCode()`
    `static Frames` | `newInstance(Frames arg)`
    `static Frame` | `ping()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Frames> __TYPE_ARG

    - #### PING

          public static final Frame PING

  - ### Constructor Detail

    - #### Frames

          public Frames(Frames delegate)

    - #### Frames

          public Frames(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Frames getDelegate()

    - #### createErrorFrame

          public static Frame createErrorFrame(String message,
                                               Map<String,String> headers,
                                               String body)

    - #### createReceiptFrame

          public static Frame createReceiptFrame(String receiptId,
                                                 Map<String,String> headers)

    - #### handleReceipt

          public static void handleReceipt(Frame frame,
                                           StompServerConnection connection)

    - #### ping

          public static Frame ping()

    - #### newInstance

          public static Frames newInstance(Frames arg)

Copyright © 2021 Eclipse. All rights reserved.